Create Connection
curl --request POST \
--url https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenant_code": "<string>"
}
'import requests
url = "https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections"
payload = { "tenant_code": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tenant_code: '<string>'})
};
fetch('https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tenant_code' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections"
payload := strings.NewReader("{\n \"tenant_code\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tenant_code\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tenant_code\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"approved_by": 123,
"approved_on": "2023-11-07T05:31:56Z",
"denied_on": "2023-11-07T05:31:56Z",
"is_approved": true,
"location_id": 123,
"provider_id": 123,
"provider_name": "<string>",
"requested_on": "2023-11-07T05:31:56Z",
"third_party_hauler_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Haulers
Create Connection
Create a new hauler connection.
POST
/
haulers
/
{hauler_uuid}
/
connections
Create Connection
curl --request POST \
--url https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenant_code": "<string>"
}
'import requests
url = "https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections"
payload = { "tenant_code": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tenant_code: '<string>'})
};
fetch('https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tenant_code' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections"
payload := strings.NewReader("{\n \"tenant_code\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tenant_code\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tenant_code\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"approved_by": 123,
"approved_on": "2023-11-07T05:31:56Z",
"denied_on": "2023-11-07T05:31:56Z",
"is_approved": true,
"location_id": 123,
"provider_id": 123,
"provider_name": "<string>",
"requested_on": "2023-11-07T05:31:56Z",
"third_party_hauler_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.
Path Parameters
Third party hauler identifier.
Body
application/json
Create third party hauler connection request model.
Confirmation code for hauler creation.
Response
200 - application/json
Success
Third party hauler connection profile.
Approved by.
Approval date.
Denial date.
Approved record state.
Location identifier.
Bin provider identifier.
Name (free text).
Requested date.
Third party hauler identifier.